import { GET, POST, PUT, DELETE } from "./http";
import type { VqdAlarmRes, VqdAlarmDetailRes, VqdAlarmReq, DelVqdAlarmReq, VqdAlarmBaseRes } from "../types/vqdalarm";

/**
 * 获取列表
 * @returns 列表
 */
export async function GetVqdAlarm(data: VqdAlarmReq) {
  return await GET<VqdAlarmRes>(`/alarm`, data);
}

/**
 * 获取详情
 * @param id ID
 */
export async function GetVqdAlarmById(id: string) {
  return await GET<VqdAlarmDetailRes>(`/alarm/${id}`);
}


/**
 * 删除
 * @param id ID
 */
export async function DeleteVqdAlarm(id: number) {
  return await DELETE<VqdAlarmBaseRes>(`/alarm/${id}`);
}

/**
 * 批量删除
 * @param ids ID
 */
export async function DeleteVqdAlarmAll(data: DelVqdAlarmReq) {
  return await DELETE<VqdAlarmBaseRes>(`/alarm`, data);
}
